Retrieve all users

This operation returns an object containing all Sentinel users
for which the current user has permissions to view and manage.

Query Params
int64

Offset begin showing results from item number n.

int64

Limit results to n number of items.

string

Sort order results by the given field.
Prefix the field name with '-' to order in descending order.
E.g., '-name' sorts results in descending order using the field 'name'

id
array of int64s

Filter results to users with the specified ids

id
clientID
array of int64s

Filter results to users with the specified primary client ids

clientID
username
array of strings

Filter results to users with the specified usernames

username
firstName
array of strings

Filter results to users with the specified first names

firstName
lastName
array of strings

Filter results to users with the specified last names

lastName
date-time

Filter results to users who have logged in on or after the specified datetime

date-time

Filter results to users who have logged in on or before the specified datetime

groupID
array of int64s

Filter results to users who are associated with specified groupID

groupID
fields
array of strings

Fields allows the user to specify optional fields returned in the users response
Supported values:
'client' returns client info for each user
'associatedRoles' returns role ids and names assigned for each user
'associatedCounts' returns the number of groups and assets assigned to each user
'canDelete' returns a boolean

fields
Status
array of strings

Filter results to user with specified stats
Valid values: 'Active' , 'Locked Out', 'Suspended', 'Unapproved'

Status
Responses

401

UnauthorizedResponse signals an unauthorized API access

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized

500

GenericError generic error

Language
Response
Choose an example:
application/json